import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
var _excluded = ["label", "children", "href", "className"];
import * as React from 'react';
import classnames from 'classnames';

var ButtonRound = function ButtonRound(_ref) {
  var label = _ref.label,
      children = _ref.children,
      _ref$href = _ref.href,
      href = _ref$href === void 0 ? '#' : _ref$href,
      className = _ref.className,
      props = _objectWithoutProperties(_ref, _excluded);

  var labelElem;

  if (label !== undefined && label !== null && label !== '') {
    labelElem = /*#__PURE__*/React.createElement("span", {
      className: "sg-button-solid-round__label"
    }, label);
  }

  var buttonClass = classnames('sg-button-solid-round', className);
  return /*#__PURE__*/React.createElement("a", _extends({}, props, {
    href: href,
    className: buttonClass
  }), /*#__PURE__*/React.createElement("div", {
    className: "sg-button-solid-round__icon"
  }, children), labelElem);
};

export default ButtonRound;